package com.hibernate.util;

import java.math.BigInteger;

import org.hibernate.Session;
import org.hibernate.cfg.Configuration;

import com.hibernate.model.Employee;

public class AppMain {

	public static void main(String[] args) {		
		// Creating the config instance & passing the hibernate config file.
		Configuration config = new Configuration();
		config.configure("hibernate.cfg.xml");

		// Hibernate session object to start the db transaction.
		Session s = config.buildSessionFactory().openSession();

		// Creating the employee object.
		Employee emp = new Employee();
		emp.setName("Robin Clarke");
		emp.setDesignation("Sr. Manager");
		emp.setDepartment("Human Resources");

		// Saving the data in the database.
		s.getTransaction().begin();

		s.save(emp);
		
		s.getTransaction().commit();

		// Fetching the data from the database.
		BigInteger count = (BigInteger) s.createNativeQuery("select count(*) from Employee").getSingleResult();

		System.out.println("Total records are= " + count);

		// Closing the session object.
		s.close();
	}
}